import { UserCtor, UserInfo } from '@core';
import { Entity } from './entity';

export class User extends Entity implements UserInfo {
  name: string;

  constructor(raw: UserCtor) {
    super(raw);

    this.name = raw.name ? raw.name : '';
  }

  Info(): UserInfo {
    return {
      name: this.name,
    };
  }
}
