import { MongoClient, Db } from 'mongodb';

class Mongo {
  private client: MongoClient;

  constructor(uri: string) {
    this.client = new MongoClient(uri);
  }

  getDb(dbName: string): Db {
    return this.client.db(dbName);
  }
}

export default Mongo;
