import { EntityInfo } from './entity';

export type UserInfo = {
  name: string;
};

export type User = UserInfo & EntityInfo;

export type CreateUserBody = {
  name: string;
  password: string;
};

export type LoginUserBody = CreateUserBody;

export type UserCtor = Partial<User>;
